INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PCS', 'Portal contract signature', 'Portal contract signature', 'Y');

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('CONTRACT_SIGNATURE_PORTAL', 'Portal contract signature', 'Portal contract signature', 'Y', 3);

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) 
VALUES ('PCS', 'Portal contract signature', 'Portal contract signature');


ALTER TABLE M_POGODBE
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE M_POGODBE M
SET M.ID_HASH = ORA_HASH (M.ID_POGODBE || SYSTIMESTAMP || SYS_GUID ())
WHERE M.ID_HASH IS NULL;

UPDATE M_POGODBE M
SET M.ID_HASH = (CASE WHEN LENGTH(M.ID_HASH) < 50 THEN LPAD(M.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(M.ID_HASH) END)       
WHERE LENGTH(M.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER M_POGODBE_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON M_POGODBE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID_POGODBE || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1363, SYSDATE, '5.5', 1283, 'Contract id hash')
;