INSERT INTO NNAJAVE_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT)
SELECT 'CON', 'Confirmed', 'Confirmed', 'N' FROM DUAL
WHERE NOT EXISTS (SELECT * FROM NNAJAVE_STATUS WHERE SIFRA = 'CON');

DROP VIEW V_KNJIZBE;

CREATE VIEW V_KNJIZBE (CTRL, IDMASTER, PARTNER, KONTO, STRAN, BZNESEK, DZNESEK, BZNESEKSIT, DZNESEKSIT, ID_SALDKONT, TIPKNJ, DATUMK, DATUMV, TEKST, RAZMEJITEV, PROCENT_DAVKA, KUPCI_IME, KUPCI_PRIIMEK, KUPCI_INT_CODE, KUPCI_NKK, 
SIFKONT_CTRL, SIFKONT_OZNAKA, SIFKONT_NAZIV, SIFKONT_DELOVNA_GRUPA, NNSTOMAR_OPIS, NNSTOMAR_INTERNI_OPIS, ARTIKLI_NAZIV1, SALDKONT_KOMENTAR, SALDKONT_EXPORT_NR, SALDKONT_VRSTA_RACUNA, SALDKONT_NNLOCATION_ID, SALDKONT_ID_SALDKONT_GEN, 
SALDKONT_ID_BATCH, SALDKONT_ID_EXCHANGE, SALDKONT_KNJIZBA_SLO, SALDKONT_KNJIZBA_INTERNI_OPIS, RACUN_DATA_ID_DAVEK, RACUN_DATA_ID_STORITVE, M_STORITVE_N_PRIVEZA, RACUN_DATA_DAVEK_OPIS, NNPC_PROFITNI_CENTER, VRSTA_RACUNA_GEN) AS 
  (
SELECT KN.CTRL, KN.IDMASTER, KN.PARTNER, KN.KONTO, KN.STRAN, KN.BZNESEK, KN.DZNESEK, KN.BZNESEKSIT, KN.DZNESEKSIT, KN.ID_SALDKONT, KN.TIPKNJ, KN.DATUMK, KN.DATUMV, KN.TEKST, KN.RAZMEJITEV, KN.PROCENT_DAVKA,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, KU.INT_CODE AS KUPCI_INT_CODE, KU.N_KK AS KUPCI_NKK, SF.CTRL AS SIFKONT_CTRL, SF.OZNAKA AS SIFKONT_OZNAKA, SF.NAZIV AS SIFKONT_NAZIV, SF.DELOVNA_GRUPA AS SIFKONT_DELOVNA_GRUPA,
NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, SA.NAZIV1 AS ARTIKLI_NAZIV1, SD.KOMENTAR AS SALDKONT_KOMENTAR, SD.R_EXPORT_NR AS SALDKONT_EXPORT_NR,
SD.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, SD.NNLOCATION_ID AS SALDKONT_NNLOCATION_ID, SD.ID_SALDKONT_GEN AS SALDKONT_ID_SALDKONT_GEN, SD.ID_BATCH AS SALDKONT_ID_BATCH, SD.ID_EXCHANGE AS SALDKONT_ID_EXCHANGE,
SNK.SLO AS SALDKONT_KNJIZBA_SLO, SNK.INTERNI_OPIS AS SALDKONT_KNJIZBA_INTERNI_OPIS,
RD.ID_DAVEK AS RACUN_DATA_ID_DAVEK, RD.ID_STORITVE AS RACUN_DATA_ID_STORITVE, NNP.N_PRIVEZA AS M_STORITVE_N_PRIVEZA, RSD.OPIS AS RACUN_DATA_DAVEK_OPIS, NPC.PROFITNI_CENTER AS NNPC_PROFITNI_CENTER, SG.VRSTA_RACUNA AS VRSTA_RACUNA_GEN
FROM KNJIZBE KN
LEFT OUTER JOIN KUPCI KU ON KU.ID = KN.PARTNER
LEFT OUTER JOIN SIFKONT SF ON SF.CTRL = KN.KONTO
LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = KN.SIFRA_STOR
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = KN.ID_ARTIKEL
LEFT OUTER JOIN SALDKONT SD ON SD.ID_SALDKONT = KN.ID_SALDKONT
LEFT OUTER JOIN SALDKONT SG ON SD.ID_SALDKONT_GEN = SG.ID_SALDKONT
LEFT OUTER JOIN NKNJIZBA SNK ON SNK.SALDKONT = SD.VRSTA_RACUNA
LEFT OUTER JOIN RACUN_DATA RD ON RD.ID_RACUN_DATA = KN.IDGROUP
LEFT OUTER JOIN M_STORITVE MS ON MS.ID_STORITVE = RD.ID_STORITVE
LEFT OUTER JOIN NNPRIVEZ NNP ON NNP.ID_PRIVEZ = MS.ID_PRIVEZ
LEFT OUTER JOIN S_DAVEK RSD ON RSD.ID_DAVEK = RD.ID_DAVEK
LEFT OUTER JOIN NNPC NPC ON NPC.SIFRA = KN.OE
);

DROP VIEW V_STORITVE;

CREATE OR REPLACE VIEW V_STORITVE AS (
	SELECT M.ID_STORITVE, M.ID_DN, M.ID_POGODBE, M.ID_VPS, M.VRSTA, M.ID_LASTNIKA, M.ID_PLOVILA, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_OD, M.DATUM_DO, M.KOLICINA, M.POPUST, M.OPIS_SERVIS,
  M.ZNESEK, M.VALUTA, M.TECAJ, M.DAVEK, M.N_PONUDBE, M.N_RACUNA, M.DATUM_RACUNA, M.ZAKLJUCEN, M.KOMENTAR, M.DATUM_KREIRANJA, M.USER_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_SPREMEMBE, M.TIP_SERVIS, M.AUTO,
  M.POPUST1, M.POPUST2, M.NAMENP, M.NAMENP1, M.NAMENP2, M.TECAJP, M.DODATNA_STORITEV, M.DOMACA_VALUTA, M.PROVIZIJA, M.DRZAVA, M.SKUPAJ_OSEB, M.ID_KAT, M.PROVIZIJA_DELITEV, M.ID_REZERVACIJE, M.CUSTOM,
  M.CPROVIZIJA, M.SERVICE_COST, M.COMPLETE, M.KOLICINA_INSTR, M.ID_STORITVE_GEN, M.ID_BATCH, M.ID_SALDKONT, M.ID_LASTNIKA_ORG, M.NNLOCATION_ID, M.MIN_FEE, M.ID_LASTNIK_LEASE, 
  M.NCARD, M.FULL_AMOUNT, M.SERVICE_TIME, M.ID_PRIVEZ, M.SUBLEASE_PAYMENT, M.ID_DAVEK, M.LASTNIK_LEASE_PROCENT, M.ID_REZERVACIJE_CHARTER, M.ID_SERVICE_TEMPLATE, M.CAS_OD, M.CAS_DO, M.USER_COMMENT, M.SERVICE_COMMENT,
  M.ID_OWNER_SIGNATURE, M.ID_NAJAVE, M.SORT, M.ID_IMPORT_BATCH, M.CALCULATING, M.CALCULATED_TO, M.ID_STORITVE_STORNO, M.WORKERS_CHARGEABLE, M.ID_SALDKONT_GEN, M.PROFIT_CENTER, 
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
  NS.DEPARTURE_CHECK AS NNSTOMAR_DEPARTURE_CHECK, NS.NIGHTS_PRICE AS NNSTOMAR_NIGHTS_PRICE, NS.WORKERS AS NNSTOMAR_WORKERS,
  NNE.OPIS AS NNSTOMAR_ENOTA_OPIS, NNE.INTERNI_OPIS AS NNSTOMAR_ENOTA_INTERNI_OPIS, MDN.DATUM_DN AS M_DE_NA_DATUM_DN, MDN.TERMIN_DO AS M_DE_NA_TERMIN_DO, MDN.STEVILKA AS M_DE_NA_STEVILKA,
  MDN.STATUS AS M_DE_NA_STATUS, MDN.ORG_STATUS AS M_DE_NA_ORG_STATUS, MDN.TYPE AS M_DE_NA_TYPE, PL.IME AS PLOVILA_IME,
  KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, KU.MANAGER AS KUPCI_MANAGER, KU.VRSTA AS KUPCI_VRSTA,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
  (SELECT LISTAGG(ND.OPIS,', ') WITHIN GROUP(ORDER BY ND.OPIS ASC) WORKERS FROM DELAVCI D, NNDELAVC ND WHERE ND.SIFRA = D.SIFRA AND D.ID_STORITVE = M.ID_STORITVE) AS WORKERS
	FROM M_STORITVE M
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
  LEFT OUTER JOIN NNENOTE NNE ON NNE.SIFRA = NS.ENOTA
  LEFT OUTER JOIN M_DE_NA MDN ON MDN.ID_DN = M.ID_DN
  LEFT OUTER JOIN KUPCI KU ON KU.ID = M.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = M.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1774, SYSDATE, '5.5', 1694, 'Confirmed status')
;
