ALTER TABLE M_DE_NA
ADD ID_KUPCI_CC NUMBER;

ALTER TABLE KUPCI_CREDIT_CARDS
MODIFY ID_KUPCA NULL;

ALTER TABLE KUPCI_CREDIT_CARDS
MODIFY CARD_NUMBER NULL;

ALTER TABLE KUPCI_CREDIT_CARDS
ADD CARD_ISSUER VARCHAR2(50 CHAR);

ALTER TABLE KUPCI_CREDIT_CARDS
ADD ACTIVE VARCHAR2(1 CHAR);

UPDATE KUPCI_CREDIT_CARDS
SET ACTIVE = 'Y'
WHERE ACTIVE IS NULL;

CREATE OR REPLACE VIEW V_KUPCI_CREDIT_CARDS  AS (
SELECT KC.ID_KUPCI_CC, KC.ID_KUPCA, KC.ID_CARDS, KC.CARD_ISSUER, KC.CARD_NUMBER, KC.SEC_CODE, KC.CARD_OWNER, KC.CARD_EXPIRE, KC.PREFERRED, KC.ACTIVE,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, N.OPIS AS CARDS_OPIS, N.INTERNI_OPIS AS CARDS_INTERNI_OPIS, CCT.TOKEN AS CREDIT_CARD_TOKEN
FROM KUPCI_CREDIT_CARDS KC
LEFT OUTER JOIN KUPCI K ON K.ID = KC.ID_KUPCA
LEFT OUTER JOIN NNCARDS N ON N.ID_CARDS = KC.ID_CARDS
LEFT OUTER JOIN CREDIT_CARD_TOKEN CCT ON CCT.ID = KC.ID_CREDIT_CARD_TOKEN
);


CREATE OR REPLACE
TRIGGER KUPCI_CREDIT_CARDS_TRG
BEFORE INSERT
ON KUPCI_CREDIT_CARDS
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ACTIVE IS NULL) THEN
      :NEW.ACTIVE := 'Y';;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1051, SYSDATE, '5.5', 971, 'Kupci credit cards');