CREATE OR REPLACE
TRIGGER PREGLEDI_TRG
BEFORE INSERT
ON PREGLEDI
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ID_PREGLEDI IS NULL) THEN
          SELECT PREGLEDI_SEQ.NEXTVAL INTO :NEW.ID_PREGLEDI FROM DUAL;;
	END IF;;
	IF (:NEW.STATUS IS NULL) THEN
          :NEW.STATUS := 'O';;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (639, SYSDATE, '5.5', 559, 'Pregledi trigger');