CREATE TABLE NNASSISTANCE (
	ID NUMBER,
	OPIS VARCHAR2 (250 CHAR),
	INTERNI_OPIS VARCHAR2(250 CHAR),
	ALARM VARCHAR2 (1 CHAR),
	EMAIL VARCHAR2 (1 CHAR),
	SMS VARCHAR2 (1 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNASSISTANCE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NNASSISTANCE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE ASSISTANCE (
	ID NUMBER,
	ID_LASTNIKA NUMBER,
	ASSISTANCE_TYPE NUMBER,
	ASSISTANCE_DATE DATE,
	ASSISTANCE_COMMENT VARCHAR2(1000 CHAR),
	CONSTRAINT ASSISTANCE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE ASSISTANCE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;


CREATE OR REPLACE VIEW V_ASSISTANCE
AS (
SELECT A.ID, A.ID_LASTNIKA, A.ASSISTANCE_TYPE, A.ASSISTANCE_DATE, A.ASSISTANCE_COMMENT, 
N.OPIS AS NNASSISTANCE_OPIS, N.INTERNI_OPIS AS NNASSISTANCE_INTERNI_OPIS, N.ALARM AS NNASSISTANCE_ALARM, N.EMAIL AS NNASSISTANCE_EMAIL,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM ASSISTANCE A
LEFT OUTER JOIN NNASSISTANCE N ON N.ID = A.ASSISTANCE_TYPE
LEFT OUTER JOIN KUPCI K ON A.ID_LASTNIKA = K.ID
);

INSERT INTO NNEMAIL_TEMPLATE_TYPE (SIFRA,OPIS,INTERNI_OPIS,AKT,TEMPLATE_SUBTYPE) VALUES ('POA','Portal owner assistance','Portal owner assistance','Y','CM'); 

INSERT INTO NPISMO(NPISMO, SLO, INTERNI_OPIS, OPIS, NPISMO_TYPE) VALUES
('A', 'Pomoč', 'Assistance required', 'Assistance required', 'ASSISTANCE');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (718, SYSDATE, '5.5', 638, 'Assistance');