CREATE OR REPLACE VIEW V_S_DOKUMENT
AS (
SELECT SD.ID_DOKUMENT, SD.STEVILKA, SD.DATUM, SD.DEL_NALOG, SD.PR_RACUN, SD.UPORABNIK, SD.DT_VPISA, SD.ST_DOKUMENTA, SD.TIP, SD.ID_LOKACIJA, SD.DOBAVITELJ, SD.DT_SPREMEMBE,
SD.OPOMBA, SD.STATUS, SD.UPOR_SPREM, SD.PREJEMNIK, SD.ID_STORITVE, SD.NGRUPA, NG.OPIS AS NNGRUSTO_OPIS, MD.STEVILKA AS M_DE_NA_STEVILKA
FROM S_DOKUMENT SD
LEFT OUTER JOIN NNGRUSTO NG ON NG.NGRUPA = SD.NGRUPA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = SD.DEL_NALOG
);

CREATE OR REPLACE VIEW V_S_PROMET
AS (
SELECT SP.ID_PROMET, SP.ID_ARTIKEL, SP.ID_ENOTA, SP.ID_DOKUMENT, SP.ZAP_ST, SP.KOLICINA, SP.CENA, SP.NIVELACIJA, SP.RABAT, SP.MARZA, SP.ZNESEK, SP.DAV_STOPNJA, SP.ZALOGA, SP.CENA_SKL,
SP.TECAJ, SP.DEL_NALOG, SP.NAMEN, SP.KOMENTAR, SP.INVOICE, SP.NAZIV,
SA.NAZIV AS S_ARTIKLI_NAZIV, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, SE.NAZIV AS S_ENOTE_NAZIV
FROM S_PROMET SP
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = SP.ID_ARTIKEL
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SP.ID_ENOTA
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (801, SYSDATE, '5.5', 721, 'Izdajnice web');